{
  "FindWaypoint": true,
  "IgnoreImmune": true,
  "LevelForNightmare": 45,
  "LevelForHell": 72,
  "EnableSwitchMode": true,
  "SwitchTriggerLevel": 24,
  "SwitchToKillRange": 25,
  "SwitchToRoutine": "3a042312-4282-4af7-b277-5fba76edd169",
  "AttackMonsterNumber": 3,
  "EnableSideQuests": true,
  "NormalSideQuestA1Q1Level": 5,
  "NormalSideQuestA1Q3Level": 13,
  "NormalSideQuestA2Q1Level": 18,
  "NormalSideQuestA3Q4Level": 24,
  "NormalSideQuestA4Q1Level": 24,
  "NormalSideQuestA5Q1Level": 29,
  "NormalSideQuestA5Q2Level": 29,
  "NormalSideQuestA5Q3Level": 34,
  "NMSideQuestA1Q1Level": 45,
  "NMSideQuestA1Q3Level": 45,
  "NMSideQuestA2Q1Level": 48,
  "NMSideQuestA3Q4Level": 55,
  "NMSideQuestA4Q1Level": 55,
  "NMSideQuestA5Q1Level": 68,
  "NMSideQuestA5Q2Level": 68,
  "NMSideQuestA5Q3Level": 68,
  "HellSideQuestA1Q1Level": 91,
  "HellSideQuestA1Q3Level": 80,
  "HellSideQuestA2Q1Level": 91,
  "HellSideQuestA3Q4Level": 91,
  "HellSideQuestA4Q1Level": 91,
  "HellSideQuestA5Q1Level": 91,
  "HellSideQuestA5Q2Level": 91,
  "HellSideQuestA5Q3Level": 91,
  "EnableReenternRoom": true,
  "MaxReenternRoomCount": 5,
  "EnableReenternRoomForAndarielNormal": true,
  "EnableReenternRoomForDurielNormal": false,
  "EnableReenternRoomFor3cNormal": false,
  "EnableReenternRoomForMephistoNormal": false,
  "EnableReenternRoomForDiabloNormal": true,
  "EnableReenternRoomForBaalNormal": false,
  "EnableReenternRoomForAndarielNM": false,
  "EnableReenternRoomForDurielNM": false,
  "EnableReenternRoomFor3cNM": false,
  "EnableReenternRoomForMephistoNM": false,
  "EnableReenternRoomForDiabloNM": false,
  "EnableReenternRoomForBaalNM": false,
  "EnableReenternRoomForAndarielHell": false,
  "EnableReenternRoomForDurielHell": false,
  "EnableReenternRoomFor3cHell": false,
  "EnableReenternRoomForMephistoHell": false,
  "EnableReenternRoomForDiabloHell": false,
  "EnableReenternRoomForBaalHell": false,
  "TownScrollsHeldQuantityWithoutBooks": 4,
  "IdentifyScrollsHeldQuantityWithoutBooks": 4,
  "HealingPotionsHeldQuantity": 8,
  "ManaPotionsHeldQuantity": 10,
  "RejuvenationPotionsHeldQuantity": 8,
  "MinGoldForBuyTownBook": 5000,
  "MinGoldForBuyIdentifyBook": 5000,
  "MinGoldForSupplyInTown": 1000,
  "GainLevelRules": [
    {
      "Difficulty": 0,
      "MinLevel": 1,
      "LeaveLevel": 4,
      "Level": 2
    },
    {
      "Difficulty": 0,
      "MinLevel": 4,
      "LeaveLevel": 6,
      "Level": 3
    },
    {
      "Difficulty": 0,
      "MinLevel": 6,
      "LeaveLevel": 9,
      "Level": 4
    },
    {
      "Difficulty": 0,
      "MinLevel": 9,
      "LeaveLevel": 10,
      "Level": 5
    },
    {
      "Difficulty": 0,
      "MinLevel": 10,
      "LeaveLevel": 11,
      "Level": 6
    },
    {
      "Difficulty": 0,
      "MinLevel": 11,
      "LeaveLevel": 12,
      "Level": 7
    },
    {
      "Difficulty": 0,
      "MinLevel": 12,
      "LeaveLevel": 12,
      "Level": 28
    },
    {
      "Difficulty": 0,
      "MinLevel": 12,
      "LeaveLevel": 15,
      "Level": 36
    },
    {
      "Difficulty": 0,
      "MinLevel": 15,
      "LeaveLevel": 15,
      "Level": 37
    },
    {
      "Difficulty": 0,
      "MinLevel": 15,
      "LeaveLevel": 21,
      "Level": 65
    },
    {
      "Difficulty": 0,
      "MinLevel": 21,
      "LeaveLevel": 23,
      "Level": 73
    },
    {
      "Difficulty": 0,
      "MinLevel": 21,
      "LeaveLevel": 24,
      "Level": 76
    },
    {
      "Difficulty": 0,
      "MinLevel": 24,
      "LeaveLevel": 24,
      "Level": 102
    },
    {
      "Difficulty": 0,
      "MinLevel": 24,
      "LeaveLevel": 27,
      "Level": 106
    },
    {
      "Difficulty": 0,
      "MinLevel": 27,
      "LeaveLevel": 29,
      "Level": 107
    },
    {
      "Difficulty": 0,
      "MinLevel": 29,
      "LeaveLevel": 29,
      "Level": 108
    },
    {
      "Difficulty": 0,
      "MinLevel": 29,
      "LeaveLevel": 30,
      "Level": 111
    },
    {
      "Difficulty": 0,
      "MinLevel": 30,
      "LeaveLevel": 48,
      "Level": 132
    },
    {
      "Difficulty": 1,
      "MinLevel": 45,
      "LeaveLevel": 48,
      "Level": 25
    },
    {
      "Difficulty": 1,
      "MinLevel": 48,
      "LeaveLevel": 55,
      "Level": 104
    },
    {
      "Difficulty": 1,
      "MinLevel": 55,
      "LeaveLevel": 55,
      "Level": 108
    },
    {
      "Difficulty": 1,
      "MinLevel": 55,
      "LeaveLevel": 72,
      "Level": 132
    },
    {
      "Difficulty": 2,
      "MinLevel": 72,
      "LeaveLevel": 77,
      "Level": 19
    },
    {
      "Difficulty": 2,
      "MinLevel": 77,
      "LeaveLevel": 85,
      "Level": 65
    },
    {
      "Difficulty": 2,
      "MinLevel": 85,
      "LeaveLevel": 85,
      "Level": 102
    }
  ],
  "GainLevelSkipSceneRules": [
    {
      "Difficulty": 0,
      "Level": 110
    },
    {
      "Difficulty": 0,
      "Level": 112
    },
    {
      "Difficulty": 0,
      "Level": 113
    },
    {
      "Difficulty": 0,
      "Level": 115
    },
    {
      "Difficulty": 0,
      "Level": 117
    },
    {
      "Difficulty": 0,
      "Level": 129
    },
    {
      "Difficulty": 0,
      "Level": 130
    },
    {
      "Difficulty": 0,
      "Level": 131
    },
    {
      "Difficulty": 1,
      "Level": 2
    },
    {
      "Difficulty": 1,
      "Level": 3
    },
    {
      "Difficulty": 1,
      "Level": 4
    },
    {
      "Difficulty": 1,
      "Level": 5
    },
    {
      "Difficulty": 1,
      "Level": 6
    },
    {
      "Difficulty": 1,
      "Level": 7
    },
    {
      "Difficulty": 1,
      "Level": 21
    },
    {
      "Difficulty": 1,
      "Level": 22
    },
    {
      "Difficulty": 1,
      "Level": 23
    },
    {
      "Difficulty": 1,
      "Level": 24
    },
    {
      "Difficulty": 1,
      "Level": 26
    },
    {
      "Difficulty": 1,
      "Level": 27
    },
    {
      "Difficulty": 1,
      "Level": 28
    },
    {
      "Difficulty": 1,
      "Level": 29
    },
    {
      "Difficulty": 1,
      "Level": 30
    },
    {
      "Difficulty": 1,
      "Level": 31
    },
    {
      "Difficulty": 1,
      "Level": 32
    },
    {
      "Difficulty": 1,
      "Level": 34
    },
    {
      "Difficulty": 1,
      "Level": 35
    },
    {
      "Difficulty": 1,
      "Level": 36
    },
    {
      "Difficulty": 1,
      "Level": 38
    },
    {
      "Difficulty": 1,
      "Level": 41
    },
    {
      "Difficulty": 1,
      "Level": 42
    },
    {
      "Difficulty": 1,
      "Level": 43
    },
    {
      "Difficulty": 1,
      "Level": 44
    },
    {
      "Difficulty": 1,
      "Level": 45
    },
    {
      "Difficulty": 1,
      "Level": 46
    },
    {
      "Difficulty": 1,
      "Level": 50
    },
    {
      "Difficulty": 1,
      "Level": 51
    },
    {
      "Difficulty": 1,
      "Level": 52
    },
    {
      "Difficulty": 1,
      "Level": 53
    },
    {
      "Difficulty": 1,
      "Level": 54
    },
    {
      "Difficulty": 1,
      "Level": 74
    },
    {
      "Difficulty": 1,
      "Level": 76
    },
    {
      "Difficulty": 1,
      "Level": 77
    },
    {
      "Difficulty": 1,
      "Level": 78
    },
    {
      "Difficulty": 1,
      "Level": 79
    },
    {
      "Difficulty": 1,
      "Level": 80
    },
    {
      "Difficulty": 1,
      "Level": 81
    },
    {
      "Difficulty": 1,
      "Level": 82
    },
    {
      "Difficulty": 1,
      "Level": 83
    },
    {
      "Difficulty": 1,
      "Level": 88
    },
    {
      "Difficulty": 1,
      "Level": 89
    },
    {
      "Difficulty": 1,
      "Level": 91
    },
    {
      "Difficulty": 1,
      "Level": 92
    },
    {
      "Difficulty": 1,
      "Level": 93
    },
    {
      "Difficulty": 1,
      "Level": 100
    },
    {
      "Difficulty": 1,
      "Level": 101
    },
    {
      "Difficulty": 1,
      "Level": 102
    },
    {
      "Difficulty": 1,
      "Level": 106
    },
    {
      "Difficulty": 1,
      "Level": 110
    },
    {
      "Difficulty": 1,
      "Level": 111
    },
    {
      "Difficulty": 1,
      "Level": 112
    },
    {
      "Difficulty": 1,
      "Level": 113
    },
    {
      "Difficulty": 1,
      "Level": 115
    },
    {
      "Difficulty": 1,
      "Level": 117
    },
    {
      "Difficulty": 1,
      "Level": 128
    },
    {
      "Difficulty": 1,
      "Level": 129
    },
    {
      "Difficulty": 1,
      "Level": 130
    },
    {
      "Difficulty": 1,
      "Level": 131
    },
    {
      "Difficulty": 2,
      "Level": 2
    },
    {
      "Difficulty": 2,
      "Level": 3
    },
    {
      "Difficulty": 2,
      "Level": 4
    },
    {
      "Difficulty": 2,
      "Level": 5
    },
    {
      "Difficulty": 2,
      "Level": 6
    },
    {
      "Difficulty": 2,
      "Level": 7
    },
    {
      "Difficulty": 2,
      "Level": 10
    },
    {
      "Difficulty": 2,
      "Level": 17
    },
    {
      "Difficulty": 2,
      "Level": 26
    },
    {
      "Difficulty": 2,
      "Level": 27
    },
    {
      "Difficulty": 2,
      "Level": 28
    },
    {
      "Difficulty": 2,
      "Level": 29
    },
    {
      "Difficulty": 2,
      "Level": 30
    },
    {
      "Difficulty": 2,
      "Level": 31
    },
    {
      "Difficulty": 2,
      "Level": 32
    },
    {
      "Difficulty": 2,
      "Level": 33
    },
    {
      "Difficulty": 2,
      "Level": 34
    },
    {
      "Difficulty": 2,
      "Level": 35
    },
    {
      "Difficulty": 2,
      "Level": 36
    },
    {
      "Difficulty": 2,
      "Level": 38
    },
    {
      "Difficulty": 2,
      "Level": 41
    },
    {
      "Difficulty": 2,
      "Level": 42
    },
    {
      "Difficulty": 2,
      "Level": 43
    },
    {
      "Difficulty": 2,
      "Level": 44
    },
    {
      "Difficulty": 2,
      "Level": 45
    },
    {
      "Difficulty": 2,
      "Level": 46
    },
    {
      "Difficulty": 2,
      "Level": 50
    },
    {
      "Difficulty": 2,
      "Level": 51
    },
    {
      "Difficulty": 2,
      "Level": 52
    },
    {
      "Difficulty": 2,
      "Level": 53
    },
    {
      "Difficulty": 2,
      "Level": 54
    },
    {
      "Difficulty": 2,
      "Level": 58
    },
    {
      "Difficulty": 2,
      "Level": 62
    },
    {
      "Difficulty": 2,
      "Level": 63
    },
    {
      "Difficulty": 2,
      "Level": 64
    },
    {
      "Difficulty": 2,
      "Level": 66
    },
    {
      "Difficulty": 2,
      "Level": 67
    },
    {
      "Difficulty": 2,
      "Level": 68
    },
    {
      "Difficulty": 2,
      "Level": 69
    },
    {
      "Difficulty": 2,
      "Level": 70
    },
    {
      "Difficulty": 2,
      "Level": 71
    },
    {
      "Difficulty": 2,
      "Level": 72
    },
    {
      "Difficulty": 2,
      "Level": 74
    },
    {
      "Difficulty": 2,
      "Level": 76
    },
    {
      "Difficulty": 2,
      "Level": 77
    },
    {
      "Difficulty": 2,
      "Level": 78
    },
    {
      "Difficulty": 2,
      "Level": 79
    },
    {
      "Difficulty": 2,
      "Level": 80
    },
    {
      "Difficulty": 2,
      "Level": 81
    },
    {
      "Difficulty": 2,
      "Level": 82
    },
    {
      "Difficulty": 2,
      "Level": 88
    },
    {
      "Difficulty": 2,
      "Level": 89
    },
    {
      "Difficulty": 2,
      "Level": 91
    },
    {
      "Difficulty": 2,
      "Level": 92
    },
    {
      "Difficulty": 2,
      "Level": 93
    },
    {
      "Difficulty": 2,
      "Level": 100
    },
    {
      "Difficulty": 2,
      "Level": 101
    },
    {
      "Difficulty": 2,
      "Level": 102
    },
    {
      "Difficulty": 2,
      "Level": 104
    },
    {
      "Difficulty": 2,
      "Level": 105
    },
    {
      "Difficulty": 2,
      "Level": 106
    },
    {
      "Difficulty": 2,
      "Level": 107
    },
    {
      "Difficulty": 2,
      "Level": 110
    },
    {
      "Difficulty": 2,
      "Level": 111
    },
    {
      "Difficulty": 2,
      "Level": 112
    },
    {
      "Difficulty": 2,
      "Level": 113
    },
    {
      "Difficulty": 2,
      "Level": 114
    },
    {
      "Difficulty": 2,
      "Level": 115
    },
    {
      "Difficulty": 2,
      "Level": 117
    },
    {
      "Difficulty": 2,
      "Level": 118
    },
    {
      "Difficulty": 2,
      "Level": 128
    },
    {
      "Difficulty": 2,
      "Level": 129
    },
    {
      "Difficulty": 2,
      "Level": 130
    },
    {
      "Difficulty": 2,
      "Level": 131
    }
  ]
}